Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.statistics
Class StatInfo

    java.lang.Object
      com.bea.wlcp.wlng.statistics.StatInfo

All Implemented Interfaces:
  Serializable

public final class StatInfo
extends Object
implements Serializable

TODO: toString(), refactor

See Also:
  Serialized Form

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`String` | `appAccountId`
`int` | `numberOfTransactions`
`String` | `spAccountId`
`String` | `statisticsType`
`long` | `timeStampEnd`
`long` | `timeStampStart`

Constructor Summary
`StatInfo()`
`StatInfo(String _statisticsType, long _timeStampStart, long _timeStampEnd, int _numberOfTransactions, String _spAccountId, String _appAccountId)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### appAccountId

    public String appAccountId

### numberOfTransactions

    public int numberOfTransactions

### spAccountId

    public String spAccountId

### statisticsType

    public String statisticsType

### timeStampEnd

    public long timeStampEnd

### timeStampStart

    public long timeStampStart

Constructor Detail

### StatInfo

    public StatInfo()

### StatInfo

    public StatInfo(String _statisticsType,
                    long _timeStampStart,
                    long _timeStampEnd,
                    int _numberOfTransactions,
                    String _spAccountId,
                    String _appAccountId)

Method Detail

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD